Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CanSendMessageToUserResult

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CanSendMessageToUserResult

Direct Known Subclasses:
  `TdApi.CanSendMessageToUserResultOk`, `TdApi.CanSendMessageToUserResultUserIsDeleted`, `TdApi.CanSendMessageToUserResultUserRestrictsNewChats`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.CanSendMessageToUserResult extends TdApi.Object permits TdApi.CanSendMessageToUserResultOk, TdApi.CanSendMessageToUserResultUserIsDeleted, TdApi.CanSendMessageToUserResultUserRestrictsNewChats
This class is an abstract base class. Describes result of canSendMessageToUser.

## Constructor Summary

Constructors
Constructor
Description
`CanSendMessageToUserResult()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CanSendMessageToUserResult

public CanSendMessageToUserResult()
Default class constructor.